package de.unikoblenz.fgbks.base.utils.boundary.bicreater;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;
import java.util.Optional;

public class BiCreaterStringUpperBounds extends AbstractBoundaryBiCreater<StringBoundary> {

  private static final BiCreaterStringUpperBounds instance = new BiCreaterStringUpperBounds();

  private BiCreaterStringUpperBounds() {
    super();
  }

  public static BiCreaterStringUpperBounds getInstance() {
    return instance;
  }

  @Override
  public BoundaryBiCreaterType getType() {
    return BoundaryBiCreaterType.UPPER_BOUNDS;
  }

  @Override
  public Optional<StringBoundary> create(StringBoundary b1, StringBoundary b2) {
    return Optional.empty();
  }
}
