package de.unikoblenz.fgbks.base.utils.boundary.bicreater;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;
import java.util.Optional;

public class BiCreaterStringBetween extends AbstractBoundaryBiCreater<StringBoundary> {

  private static final BiCreaterStringBetween instance = new BiCreaterStringBetween();

  private BiCreaterStringBetween() {
    super();
  }

  public static BiCreaterStringBetween getInstance() {
    return instance;
  }

  @Override
  public BoundaryBiCreaterType getType() {
    return BoundaryBiCreaterType.BETWEEN;
  }

  @Override
  public Optional<StringBoundary> create(StringBoundary b1, StringBoundary b2) {
    return Optional.empty();
  }
}
