package de.unikoblenz.fgbks.core.dmn.domain.vdmn;

import de.unikoblenz.fgbks.core.dmn.domain.common.RowNumber;
import de.unikoblenz.fgbks.core.dmn.domain.ids.RuleId;
import java.util.List;

public interface VDmnRule extends VDmnElement {

  RowNumber getRowNumber();

  default RuleId getRuleId() {
    return (RuleId) getId();
  }

  VDmnDecisionTable getDmnDecisionTable();

  List<VDmnInputValue> getDmnInputValues();

  List<VDmnOutputValue> getDmnOutputValues();
}
