package de.unikoblenz.fgbks.core.dmn.domain.vdmn.impl;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnColumn;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnRule;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnValue;

public abstract class VDmnValueImpl extends AbstractVDmnElement implements VDmnValue {

  protected VDmnRule dmnRule;
  protected String text;
  protected String description;
  protected VDmnColumn dmnColumn;

  @Override
  public VDmnRule getDmnRule() {
    return dmnRule;
  }

  @Override
  public String getText() {
    return text;
  }

  @Override
  public String getDescription() {
    return description;
  }

  @Override
  public VDmnColumn getDmnColumn() {
    return dmnColumn;
  }
}
